Class UmlBaseStateDiagram

Declaration :

- C++ : class UmlBaseStateDiagram : public UmlDiagram
- Java : abstract class UmlBaseStateDiagram extends UmlDiagram

Directly inherited by : UmlStateDiagram

Artifact : UmlBaseStateDiagram

Operation create

returns a new state diagram named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlState, inout s : str) : UmlStateDiagram, exceptions : RuntimeException
- C++ : public: static UmlStateDiagram * create(UmlState * parent, const char * s)
- Java : public static UmlStateDiagram create(UmlState parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseStateDiagram

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseStateDiagram(in id : item_id, in s : string) :
- C++ : protected: UmlBaseStateDiagram(void * id, const QCString & s) : UmlDiagram(id, s)
- Java : protected UmlBaseStateDiagram(long id, String s)

All public operations : apply , applyStereotype , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , saveIn , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload